aboutsummaryrefslogtreecommitdiffstats
path: root/repo
diff options
context:
space:
mode:
authorJustin chi <chigang@huawei.com>2017-03-16 12:32:11 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-03-16 12:32:11 +0000
commitae1d61f7f99880d70317914de43262f37332aa82 (patch)
tree64c5bba7e4790283c344469c0ea1e4cc8fae3899 /repo
parente1bcc84781b51e8078387d071c24eeead2700cb9 (diff)
parent8da5888adfc919b20807f0783e1ae841fac4244e (diff)
Merge "onos 1.8 upgradation for danube"
Diffstat (limited to 'repo')
-rw-r--r--repo/features/scripts/download_onos.sh17
-rw-r--r--repo/repo.conf4
-rwxr-xr-xrepo/repo_func.sh1
3 files changed, 22 insertions, 0 deletions
diff --git a/repo/features/scripts/download_onos.sh b/repo/features/scripts/download_onos.sh
new file mode 100644
index 0000000..8cd1f0d
--- /dev/null
+++ b/repo/features/scripts/download_onos.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2016 HUAWEI TECHNOLOGIES CO.,LTD and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -ex
+
+TIMEOUT=10
+
+for i in REPLACE_ONOS_PKG; do
+ mkdir -p /pkg/onos
+ curl --connect-timeout $TIMEOUT -Lo /pkg/onos/${i##*/} $i
+done
diff --git a/repo/repo.conf b/repo/repo.conf
index 6f0e9cd..8fbdd06 100644
--- a/repo/repo.conf
+++ b/repo/repo.conf
@@ -19,3 +19,7 @@ export KVMFORNFV=${kvmfornfv:-https://gerrit.opnfv.org/gerrit/p/kvmfornfv.git}
export ODL_PKG="$PACKAGE_URL/distribution-karaf-0.5.2-Boron.tar.gz"
export JAVA_PKG="$PACKAGE_URL/jdk-8u51-linux-x64.tar.gz \
$PACKAGE_URL/install_jdk8.tar"
+export ONOS_PKG="https://downloads.onosproject.org/release/onos-1.8.4.tar.gz \
+ $PACKAGE_URL/onosfw/networking-onos.tar \
+ $PACKAGE_URL/onosfw/networking-sfc.tar \
+ $PACKAGE_URL/onosfw/repository.tar"
diff --git a/repo/repo_func.sh b/repo/repo_func.sh
index b13bedf..dfc0285 100755
--- a/repo/repo_func.sh
+++ b/repo/repo_func.sh
@@ -372,6 +372,7 @@ function make_feature_repo()
cp -rf $COMPASS_PATH/repo/features/scripts/* $COMPASS_PATH/work/repo/temp/make_pkg
+ sed -i "s#REPLACE_ONOS_PKG#$ONOS_PKG#g" $COMPASS_PATH/work/repo/temp/make_pkg/download_onos.sh
sed -i "s#REPLACE_ODL_PKG#$ODL_PKG#g" $COMPASS_PATH/work/repo/temp/make_pkg/download_odl.sh
sed -i "s#REPLACE_JAVA_PKG#$JAVA_PKG#g" $COMPASS_PATH/work/repo/temp/make_pkg/download_java.sh